unit uTypes;

interface

uses
  SysUtils, Dialogs;

type
  // Kurzformen
  TDynIntArray = Array of Integer;
  TDynChrArray = Array of Char;
  TDynStrArray = Array of String;
  // Integer-Arrays
  TDynIntegerArray  = Array of Integer;
  TDynCardinalArray = Array of Cardinal;
  TDynShortintArray = Array of Shortint;
  TDynSmallintArray = Array of Smallint;
  TDynLongintArray  = Array of Longint;
  TDynInt64Array    = Array of Int64;
  TDynByteArray     = Array of Byte;
  TDynWordArray     = Array of Word;
  TDynLongwordArray = Array of Longword;
  // String-Arrays
  TDynCharArray        = Array of Char;
  TDynShortStringArray = Array of ShortString;
  TDynAnsiStringArray  = Array of AnsiString;
  TDynWideStringArray  = Array of WideString;
  TDynStringArray      = Array of String;
  // Reele Arrays
  TDynRealArray     = Array of Real;
  TDynReal48Array   = Array of Real48;
  TDynSingleArray   = Array of Single;
  TDynDoubleArray   = Array of Double;
  TDynExtendedArray = Array of Extended;
  TDynCompArray     = Array of Comp;
  TDynCurrencyArray = Array of Currency;

procedure ShowMessageInt(i : Integer);
procedure ShowMessageInteger(i : Integer);
procedure ShowMessageReal(r : Real);

implementation

procedure ShowMessageInt(i : Integer);
begin
  ShowMessage(IntToStr(i));
end;

procedure ShowMessageInteger(i : Integer);
begin
  ShowMessage(IntToStr(i));
end;

procedure ShowMessageReal(r : Real);
begin
  ShowMessage(FloatToStr(r));
end;

end.
