unit code;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, uSkinDraw;

type

  { TfrmMain }

  TfrmMain = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { private declarations }
    Skin : TSkin;
    tb   : TSkinTrackBar;
  public
    { public declarations }
    SkinFile : String;
  end; 

var
  frmMain: TfrmMain;

implementation

{ TfrmMain }

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  SkinFile := 'skins\classic.dat';
  Skin     := TSkin.Create(Self, SkinFile);
  tb       := Skin.CreateTrackBar(Self, 8, 80, 234, 20, 0, 100, 4, False, nil);
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
  tb.Free;
  Skin.Free;
end;

initialization
  {$I code.lrs}

end.

